package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

//@Entity
//@Table(name = "RiwayatAsupanMakan_T")
public class RiwayatAsupanMakanVO extends MedicalRecordTransactionVO{
	
	@ManyToOne
	@JoinColumn(name = "ObjectBayiMendapatImdFk")
	@NotNull(message="Bayi Mendapat IMD tidak boleh kosong")
	@Caption(value="Bayi Mendapat IMD")
	private StatusYaTidakVO bayiMendapatImd;

	@Column(name = "JamMenyusuSetelahLahir", nullable = true)
	@Caption(value="Jam Menyusu Setelah Lahir")
	private Integer jamMenyusuSetelahLahir;
	
	@Column(name = "UsiaAkhirPemberianAsi", nullable = true)
	@Caption(value="Usia Akhir Pemberian Asi")
	private Integer usiaAkhirPemberianAsi;
	
	@ManyToOne
	@JoinColumn(name = "ObjectCaraPemberianSusuBayiFk")
	@NotNull(message="Cara Pemberian Susu tidak boleh kosong")
	@Caption(value="Cara Pemberian Susu Bayi")
	private CaraPemberianSusuBayiVO caraPemberianSusuBayi;

	@ManyToOne
	@JoinColumn(name = "ObjectJenisIsapanAsiFk")
//	@NotNull(message="Jenis Isapan Asi tidak boleh kosong")
	@Caption(value="Jenis Isapan Asi")
	private JenisIsapanAsiVO jenisIsapanAsi;

	@Column(name = "MerkSusuFormula", nullable = true)
	@Caption(value="Merk Susu Formula")
	private String merkSusuFormula;
	
	@ManyToOne
	@JoinColumn(name = "ObjectBuburSusuAtauNasiFk")
//	@NotNull(message="Status Pemberian Bubur Susu atau Nasi tidak boleh kosong")
	@Caption(value="Status Pemberian Bubur Susu atau Nasi")
	private StatusYaTidakVO buburSusuAtauNasi;

	@Column(name = "UsiaPemberianBuburSusuAtauNasi", nullable = true)
	@Caption(value="Usia Pemberian Bubur Susu Atau Nasi")
	private Integer usiaPemberianBuburSusuAtauNasi;
	
	@ManyToOne
	@JoinColumn(name = "ObjectNasiTimSaringFk")
//	@NotNull(message="Status Nasi Tim Saring tidak boleh kosong")
	@Caption(value="Status Pemberian Nasi Tim Saring")
	private StatusYaTidakVO nasiTimSaring;

	@Column(name = "UsiaPemberianNasiTimSaring", nullable = true)
	@Caption(value="Usia Pemberian Nasi Tim Saring")
	private Integer usiaPemberianNasiTimSaring;
	
	@ManyToOne
	@JoinColumn(name = "ObjectNasiLembekFk")
//	@NotNull(message="Status Nasi Lembek tidak boleh kosong")
	@Caption(value="Status Pemberian Nasi Lembek")
	private StatusYaTidakVO nasiLembek;

	@Column(name = "UsiaPemberianNasiLembek", nullable = true)
	@Caption(value="Usia Pemberian Nasi Lembek")
	private Integer usiaPemberianNasiLembek;
	
	@ManyToOne
	@JoinColumn(name = "ObjectNasiBiasaFk")
//	@NotNull(message="Status Nasi Biasa tidak boleh kosong")
	@Caption(value="Status Pemberian Nasi Biasa")
	private StatusYaTidakVO nasiBiasa;

	@Column(name = "UsiaPemberianNasiBiasa", nullable = true)
	@Caption(value="Usia Pemberian Nasi Biasa")
	private Integer usiaPemberianNasiBiasa;
	
	@Column(name = "KemampuanMengunyah", nullable = true)
	@Caption(value="Kemampuan Mengunyah")
	private String kemampuanMengunyah;

	public StatusYaTidakVO getBayiMendapatImd() {
		return bayiMendapatImd;
	}

	public void setBayiMendapatImd(StatusYaTidakVO bayiMendapatImd) {
		this.bayiMendapatImd = bayiMendapatImd;
	}

	public Integer getJamMenyusuSetelahLahir() {
		return jamMenyusuSetelahLahir;
	}

	public void setJamMenyusuSetelahLahir(Integer jamMenyusuSetelahLahir) {
		this.jamMenyusuSetelahLahir = jamMenyusuSetelahLahir;
	}

	public Integer getUsiaAkhirPemberianAsi() {
		return usiaAkhirPemberianAsi;
	}

	public void setUsiaAkhirPemberianAsi(Integer usiaAkhirPemberianAsi) {
		this.usiaAkhirPemberianAsi = usiaAkhirPemberianAsi;
	}

	public CaraPemberianSusuBayiVO getCaraPemberianSusuBayi() {
		return caraPemberianSusuBayi;
	}

	public void setCaraPemberianSusuBayi(CaraPemberianSusuBayiVO caraPemberianSusuBayi) {
		this.caraPemberianSusuBayi = caraPemberianSusuBayi;
	}

	public JenisIsapanAsiVO getJenisIsapanAsi() {
		return jenisIsapanAsi;
	}

	public void setJenisIsapanAsi(JenisIsapanAsiVO jenisIsapanAsi) {
		this.jenisIsapanAsi = jenisIsapanAsi;
	}

	public String getMerkSusuFormula() {
		return merkSusuFormula;
	}

	public void setMerkSusuFormula(String merkSusuFormula) {
		this.merkSusuFormula = merkSusuFormula;
	}

	public StatusYaTidakVO getBuburSusuAtauNasi() {
		return buburSusuAtauNasi;
	}

	public void setBuburSusuAtauNasi(StatusYaTidakVO buburSusuAtauNasi) {
		this.buburSusuAtauNasi = buburSusuAtauNasi;
	}

	public Integer getUsiaPemberianBuburSusuAtauNasi() {
		return usiaPemberianBuburSusuAtauNasi;
	}

	public void setUsiaPemberianBuburSusuAtauNasi(Integer usiaPemberianBuburSusuAtauNasi) {
		this.usiaPemberianBuburSusuAtauNasi = usiaPemberianBuburSusuAtauNasi;
	}

	public StatusYaTidakVO getNasiTimSaring() {
		return nasiTimSaring;
	}

	public void setNasiTimSaring(StatusYaTidakVO nasiTimSaring) {
		this.nasiTimSaring = nasiTimSaring;
	}

	public Integer getUsiaPemberianNasiTimSaring() {
		return usiaPemberianNasiTimSaring;
	}

	public void setUsiaPemberianNasiTimSaring(Integer usiaPemberianNasiTimSaring) {
		this.usiaPemberianNasiTimSaring = usiaPemberianNasiTimSaring;
	}

	public StatusYaTidakVO getNasiLembek() {
		return nasiLembek;
	}

	public void setNasiLembek(StatusYaTidakVO nasiLembek) {
		this.nasiLembek = nasiLembek;
	}

	public Integer getUsiaPemberianNasiLembek() {
		return usiaPemberianNasiLembek;
	}

	public void setUsiaPemberianNasiLembek(Integer usiaPemberianNasiLembek) {
		this.usiaPemberianNasiLembek = usiaPemberianNasiLembek;
	}

	public StatusYaTidakVO getNasiBiasa() {
		return nasiBiasa;
	}

	public void setNasiBiasa(StatusYaTidakVO nasiBiasa) {
		this.nasiBiasa = nasiBiasa;
	}

	public Integer getUsiaPemberianNasiBiasa() {
		return usiaPemberianNasiBiasa;
	}

	public void setUsiaPemberianNasiBiasa(Integer usiaPemberianNasiBiasa) {
		this.usiaPemberianNasiBiasa = usiaPemberianNasiBiasa;
	}

	public String getKemampuanMengunyah() {
		return kemampuanMengunyah;
	}

	public void setKemampuanMengunyah(String kemampuanMengunyah) {
		this.kemampuanMengunyah = kemampuanMengunyah;
	}
	
	
}
